package com.mx.dla.dda.admin.catalogos.materiales.actions;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;

import com.mx.dla.dda.admin.catalogos.materiales.daos.CatalogoMaterialesDAO;
import com.mx.dla.dda.admin.catalogos.materiales.dtos.CatalogoMaterialDTO;
import com.mx.dla.global.actions.BaseAction;

public class CatalogoMaterialesAction extends BaseAction {

	private static final long serialVersionUID = -4856342072710036099L;
	private static Logger log= Logger.getLogger(CatalogoMaterialesAction.class);
	private List<CatalogoMaterialDTO> catalogoMateriales;
	@Autowired
	private CatalogoMaterialesDAO catalogoMaterialesDAO;
	
	@Override
	public String execute() throws Exception {
		
		log.info("in execute()...");
		
		return SUCCESS;
	}
	
	public String listadoMateriales(){

		try{
			
			catalogoMateriales = new ArrayList<CatalogoMaterialDTO>();
			catalogoMateriales = catalogoMaterialesDAO.catalogoMateriales();
			
			/**
			 * Temporal
			 */
//			EstudioDTO estudioDTO1 = new EstudioDTO();
//			estudioDTO1.setIdEstudio(1);
//			estudioDTO1.setIdApartado(1);
//			estudioDTO1.setClavePais("US");
//			estudioDTO1.setClaveMoneda("USD");
//			estudioDTO1.setDescripcionEstudio("FOX ENTERTAINMENT INC");
//			estudioDTO1.setCodigoSap("0030800000");
//			estudioDTO1.setSiglaDda(null);
//			estudioDTO1.setOrden(1);
			
//			catalogoEstudios.add(estudioDTO1);
			
			/**
			 * Fin Temporal
			 */
			
			
//			catalogoEmpresaFilial = catalogoEmpresaFilialDAO.catalogoEmpresaFilial();
		}catch(Exception exc){
			log.error(exc.getMessage());
		}

		log.info("Catalogo de materiales");
		return "catalogoMaterialesLista";
	}

	/**
	 * @return the catalogoMateriales
	 */
	public List<CatalogoMaterialDTO> getCatalogoMateriales() {
		return catalogoMateriales;
	}

	/**
	 * @param catalogoMateriales the catalogoEstudios to set
	 */
	public void setCatalogoMateriales(List<CatalogoMaterialDTO> catalogoMateriales) {
		this.catalogoMateriales = catalogoMateriales;
	}

	
}
